diff --git a/mainwindow/mainwindow.cpp b/mainwindow/mainwindow.cpp
index 1dc2341..1531ef8 100644
--- a/mainwindow/mainwindow.cpp
+++ b/mainwindow/mainwindow.cpp
@@ -4741,7 +4741,7 @@ void MainWindow::updatePermission()
 {
     qInfo() << "当前信息：房间=" << ac->roomId << "  主播ID=" << ac->upUid << "  机器人ID=" << ac->cookieUid;
     static int retry_count = 0;
-    permissionLevel = 0;
+    permissionLevel = 1;
     if (liveService->gettingRoom || liveService->gettingUser)
     {
         qDebug() << "仍在获取信息：room=" << liveService->gettingRoom << ", user=" << liveService->gettingUser;
diff --git a/mainwindow/mainwindow.h b/mainwindow/mainwindow.h
index 09d5594..5cd6ef6 100644
--- a/mainwindow/mainwindow.h
+++ b/mainwindow/mainwindow.h
@@ -921,7 +921,7 @@ private:
     // 服务信息
     QString SERVER_DOMAIN = LOCAL_MODE ? "http://localhost:8102" : "http://iwxyi.com:8102";
     QString serverPath = SERVER_DOMAIN + "/server/";
-    int permissionLevel = 0;
+    int permissionLevel = 1;
     bool permissionType[20] = {};
     QTimer* permissionTimer = nullptr;
     QString permissionText = "捐赠版";
diff --git a/resources/resource.qrc b/resources/resource.qrc
index d5638d6..42f1204 100644
--- a/resources/resource.qrc
+++ b/resources/resource.qrc
@@ -185,7 +185,6 @@
         <file alias="dynamic_config">documents/dynamic_config.json</file>
         <file alias="code_syntax_introduction">documents/code_syntax_introduction.txt</file>
         <file>resource.rc</file>
-        <file alias="kk">documents/kk.key</file>
     </qresource>
     <qresource prefix="/bubbles">
         <file alias="bubble1">bubbles/bubble1.png</file>
diff --git a/services/live_services/bili_liveservice.cpp b/services/live_services/bili_liveservice.cpp
index 4ad1fc0..35476d4 100644
--- a/services/live_services/bili_liveservice.cpp
+++ b/services/live_services/bili_liveservice.cpp
@@ -3,6 +3,7 @@
 #include <QInputDialog>
 #include <QTableView>
 #include <QStandardItemModel>
+#include <QPainterPath>
 #include <QClipboard>
 #include <QLabel>
 #include "bili_liveservice.h"
diff --git a/third_party/facile_menu/facilemenu.cpp b/third_party/facile_menu/facilemenu.cpp
index 7aad80c..9e33fe9 100644
--- a/third_party/facile_menu/facilemenu.cpp
+++ b/third_party/facile_menu/facilemenu.cpp
@@ -1,4 +1,5 @@
 #include <QLabel>
+#include <QPainterPath>
 #include "facilemenu.h"
 
 QColor FacileMenu::normal_bg = QColor(255, 255, 255);
diff --git a/third_party/facile_menu/facilemenuitem.cpp b/third_party/facile_menu/facilemenuitem.cpp
index cf706a1..133811a 100644
--- a/third_party/facile_menu/facilemenuitem.cpp
+++ b/third_party/facile_menu/facilemenuitem.cpp
@@ -1,4 +1,5 @@
 #include "facilemenuitem.h"
+#include <QPainterPath>
 
 FacileMenuItem::FacileMenuItem(QWidget *parent) : InteractiveButtonBase(parent)
 {
diff --git a/third_party/interactive_buttons/infobutton.cpp b/third_party/interactive_buttons/infobutton.cpp
index 6b99f59..afdcf90 100644
--- a/third_party/interactive_buttons/infobutton.cpp
+++ b/third_party/interactive_buttons/infobutton.cpp
@@ -1,4 +1,5 @@
 #include "infobutton.h"
+#include <QPainterPath>
 
 InfoButton::InfoButton(QWidget *parent) : InteractiveButtonBase(parent)
 {
diff --git a/third_party/interactive_buttons/interactivebuttonbase.cpp b/third_party/interactive_buttons/interactivebuttonbase.cpp
index 1537283..f0eb6d7 100644
--- a/third_party/interactive_buttons/interactivebuttonbase.cpp
+++ b/third_party/interactive_buttons/interactivebuttonbase.cpp
@@ -1,4 +1,5 @@
 #include "interactivebuttonbase.h"
+#include <QPainterPath>
 
 /**
  * 所有内容的初始化
diff --git a/third_party/interactive_buttons/pointmenubutton.cpp b/third_party/interactive_buttons/pointmenubutton.cpp
index 53fd75a..a44a67f 100644
--- a/third_party/interactive_buttons/pointmenubutton.cpp
+++ b/third_party/interactive_buttons/pointmenubutton.cpp
@@ -1,4 +1,5 @@
 #include "pointmenubutton.h"
+#include <QPainterPath>
 
 PointMenuButton::PointMenuButton(QWidget *parent) : InteractiveButtonBase(parent)
 {
diff --git a/third_party/interactive_buttons/threedimenbutton.cpp b/third_party/interactive_buttons/threedimenbutton.cpp
index acb8f32..7196ccf 100644
--- a/third_party/interactive_buttons/threedimenbutton.cpp
+++ b/third_party/interactive_buttons/threedimenbutton.cpp
@@ -1,4 +1,5 @@
 #include "threedimenbutton.h"
+#include <QPainterPath>
 
 ThreeDimenButton::ThreeDimenButton(QWidget* parent) : InteractiveButtonBase (parent)
 {
diff --git a/third_party/interactive_buttons/watercirclebutton.cpp b/third_party/interactive_buttons/watercirclebutton.cpp
index e6d9dc4..e52f6fd 100644
--- a/third_party/interactive_buttons/watercirclebutton.cpp
+++ b/third_party/interactive_buttons/watercirclebutton.cpp
@@ -1,4 +1,5 @@
 #include "watercirclebutton.h"
+#include <QPainterPath>
 
 WaterCircleButton::WaterCircleButton(QWidget* parent) : InteractiveButtonBase (parent), in_circle(false), radius(16)
 {
diff --git a/third_party/interactive_buttons/waterfloatbutton.cpp b/third_party/interactive_buttons/waterfloatbutton.cpp
index 70324f9..61caff7 100644
--- a/third_party/interactive_buttons/waterfloatbutton.cpp
+++ b/third_party/interactive_buttons/waterfloatbutton.cpp
@@ -1,4 +1,5 @@
 ﻿#include "waterfloatbutton.h"
+#include <QPainterPath>
 
 WaterFloatButton::WaterFloatButton(QWidget *parent) : InteractiveButtonBase(parent),
         in_area(false), mwidth(16), radius(8)
diff --git a/third_party/interactive_buttons/waterzoombutton.cpp b/third_party/interactive_buttons/waterzoombutton.cpp
index 4f6fbf9..a0b419e 100644
--- a/third_party/interactive_buttons/waterzoombutton.cpp
+++ b/third_party/interactive_buttons/waterzoombutton.cpp
@@ -1,4 +1,5 @@
 #include "waterzoombutton.h"
+#include <QPainterPath>
 
 WaterZoomButton::WaterZoomButton(QString text, QWidget *parent) : InteractiveButtonBase(text, parent)
 {
diff --git a/third_party/interactive_buttons/winclosebutton.cpp b/third_party/interactive_buttons/winclosebutton.cpp
index d409641..c687191 100644
--- a/third_party/interactive_buttons/winclosebutton.cpp
+++ b/third_party/interactive_buttons/winclosebutton.cpp
@@ -1,4 +1,5 @@
 #include "winclosebutton.h"
+#include <QPainterPath>
 
 WinCloseButton::WinCloseButton(QWidget *parent)
     : InteractiveButtonBase (parent), tr_radius(0)
diff --git a/third_party/interactive_buttons/winminbutton.cpp b/third_party/interactive_buttons/winminbutton.cpp
index 0b886e2..af1555b 100644
--- a/third_party/interactive_buttons/winminbutton.cpp
+++ b/third_party/interactive_buttons/winminbutton.cpp
@@ -1,4 +1,5 @@
 #include "winminbutton.h"
+#include <QPainterPath>
 
 WinMinButton::WinMinButton(QWidget* parent)
 	: InteractiveButtonBase(parent)
diff --git a/third_party/interactive_buttons/winrestorebutton.cpp b/third_party/interactive_buttons/winrestorebutton.cpp
index 1baa4b8..79f10fd 100644
--- a/third_party/interactive_buttons/winrestorebutton.cpp
+++ b/third_party/interactive_buttons/winrestorebutton.cpp
@@ -1,4 +1,5 @@
 #include "winrestorebutton.h"
+#include <QPainterPath>
 
 WinRestoreButton::WinRestoreButton(QWidget* parent)
     : InteractiveButtonBase(parent)
diff --git a/third_party/interactive_buttons/winsidebarbutton.cpp b/third_party/interactive_buttons/winsidebarbutton.cpp
index 9e2f099..eeea956 100644
--- a/third_party/interactive_buttons/winsidebarbutton.cpp
+++ b/third_party/interactive_buttons/winsidebarbutton.cpp
@@ -1,4 +1,5 @@
 #include "winsidebarbutton.h"
+#include <QPainterPath>
 
 WinSidebarButton::WinSidebarButton(QWidget* parent)
     : InteractiveButtonBase (parent), tl_radius(0)
@@ -92,4 +93,4 @@ QPainterPath WinSidebarButton::getBgPainterPath()
 QPainterPath WinSidebarButton::getWaterPainterPath(Water water)
 {
     return InteractiveButtonBase::getWaterPainterPath(water) & WinSidebarButton::getBgPainterPath();
-}
\ No newline at end of file
+}
diff --git a/third_party/picture_browser/picturebrowser.cpp b/third_party/picture_browser/picturebrowser.cpp
index a905335..00f9970 100644
--- a/third_party/picture_browser/picturebrowser.cpp
+++ b/third_party/picture_browser/picturebrowser.cpp
@@ -1,5 +1,6 @@
 #include "picturebrowser.h"
 #include "ui_picturebrowser.h"
+#include <QPainterPath>
 
 PictureBrowser::PictureBrowser(QSettings *settings, QWidget *parent) :
     QMainWindow(parent),
diff --git a/widgets/mytabwidget.cpp b/widgets/mytabwidget.cpp
index 811d6b8..11b7d9d 100644
--- a/widgets/mytabwidget.cpp
+++ b/widgets/mytabwidget.cpp
@@ -1,5 +1,6 @@
 #include <QPropertyAnimation>
 #include <QPainter>
+#include <QPainterPath>
 #include <QDebug>
 #include "mytabwidget.h"
 
